Page MenuHomePhabricator

Remove <slippymap> and {{#geolink}}
Closed, ResolvedPublic

Description

They're getting replaced with Karotgrapher's <mapframe> and <maplink>.

Event Timeline

MaxSem created this task.Jul 18 2016, 8:32 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 18 2016, 8:32 PM

Change 299662 had a related patch set uploaded (by MaxSem):
Remove <slippymap> and {{#geolink:}}

https://gerrit.wikimedia.org/r/299662

MaxSem claimed this task.Aug 16 2016, 9:26 PM
MaxSem moved this task from Backlog to In progress on the Maps-Sprint board.
Yurik closed this task as Resolved.Oct 24 2016, 10:22 PM

Change 299662 merged by jenkins-bot:
Remove <slippymap> and {{#geolink:}}

https://gerrit.wikimedia.org/r/299662

The wfgeoLink function hook in MapSources.hooks.php was removed without telling this to the community. Why you did this? This hook was used in our articles about 30.000 times at the German Wikivoyage to display the coordinates and link to the Mapsources special page! Now all is destroyed! See for instance the indicators on the articles!

This hook has nothing to do with slippymap!

RolandUnger reopened this task as Open.Oct 27 2016, 8:35 AM
RolandUnger triaged this task as High priority.

We are using this #geoLink hook to link efficiently to the Mapsources special page to prevent multiple template calls of coordinate conversion functions.

MaxSem closed this task as Resolved.Oct 27 2016, 6:25 PM

Let's continue in one place, T149288.